@import url("modal.css");

:root {
  /* Font Families */
  --prmry-font: "Poppins", sans-serif;
  --logo-font: "Tangerine", cursive;

  /* Border Colors */
  --lght-brdr-clr: #c0c0c0;
  --drk-brdr-clr: #808080;

  /* Background Colors */
  --vlght-bkgrd-clr: #f8f8f8;
  --lght-bkgrd-clr: #ffffff;

  /* Font Colors */
  --blk-font-clr: #000000;
  --drk-font-clr: #505050;
  --hvr-font-clr: #4169e1;
  --actv-font-clr: #b22222;
  --drp-shdw: #aaaaaa;

  /* Font Weights */
  --nrml-font-wght: 400;
  --bld-font-wght: 600;

  /* Font Sizes */

  --font-sm: 10px;
  --font-reg: 12px;
  --font-mdm: 14px;
  --font-lrg: 16px;
  --font-xlrg: 18px;
  --font-ttl: 30px;
}

body {
  display: grid;
  grid-template-rows: min-content calc(100vh - 230px) min-content;
  grid-template-rows: min-content calc(100dvh - 230px) min-content;
  gap: 10px;
  grid-template-areas:
    "header"
    "main"
    "footer";
  font-family: var(--prmry-font);
  color: var(--blk-font-clr);
  background-color: var(--lght-bkgrd-clr);
  padding: 10px 50px;
}

header {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: min-content;
  gap: 10px;
  justify-items: center;
  background-color: var(--lght-bkgrd-clr);
}

main {
  display: grid;
  grid-area: main;
  grid-template-columns: 1fr;
  grid-template-rows: min-content;
  gap: 30px;
  padding-left: 20px;
  padding-right: 20px;
  overflow-y: auto;
  width: 90%;
  margin-left: auto;
  margin-right: auto;
}

footer {
  display: grid;
  grid-area: footer;
  justify-items: center;
  align-items: center;
  font-size: var(--font-reg);
  padding-top: 10px;
  border-top: 1px solid var(--lght-brdr-clr);
  width: 90%;
  justify-self: center;
}

.center-buttons {
  display: grid;
  gap: 12px;
  width: 100%;
}

button {
  width: 100px;
  cursor: pointer;
  justify-self: center;
}

button:hover {
  color: var(--hvr-font-clr);
  box-shadow: 2px 2px 4px var(--drp-shdw);
}

button:active {
  color: var(--actv-font-clr);
}

audio {
  height: 30px;
}

.logo {
  font-family: var(--logo-font);
  /* font-size: 75px; */
  color: var(--blk-font-clr);
  align-items: center;
  text-shadow: 4px 4px 4px var(--drp-shdw);
  white-space: nowrap;
}

.menu {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(165px, 1fr));
  gap: 20px;
  align-items: center;
  color: var(--drk-font-clr);
  font-size: var(--font-lrg);
  padding-top: 10px;
  border-top: 1px solid var(--lght-brdr-clr);
  padding-bottom: 10px;
  border-bottom: 1px solid var(--lght-brdr-clr);
  width: 90%;
}

.menu div {
  text-align: center;
  padding-top: 3px;
  padding-bottom: 3px;
}

.menu div:hover {
  color: var(--hvr-font-clr);
  background-color: var(--vlght-bkgrd-clr);
  cursor: pointer;
}

.menu div:active {
  color: var(--actv-font-clr);
}

.active {
  color: var(--blk-font-clr);
  border-top: 1px solid var(--lght-brdr-clr);
  border-bottom: 1px solid var(--lght-brdr-clr);
}

.active:hover {
  border-top: 1px solid var(--hvr-font-clr);
  border-bottom: 1px solid var(--hvr-font-clr);
}

.active:active {
  border-top: 1px solid var(--actv-font-clr);
  border-bottom: 1px solid var(--actv-font-clr);
}

.title-menu-grp {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: min-content;
}

.responsive-title {
  display: grid;
  justify-content: center;
  align-content: center;
  text-align: center;
  line-height: 1.1;
  font-size: var(--font-ttl);
  padding: 15px;
}

.responsive-subscribe {
  display: grid;
  justify-content: center;
  align-content: center;
  text-align: center;
  line-height: 1.1;
  font-size: 1rem;
  padding: 0;
  margin-top: 10px;
}

.responsive-menu {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(165px, 1fr));
  gap: 20px;
  align-items: center;
  color: var(--drk-font-clr);
  font-size: var(--font-lrg);
  padding-top: 10px;
  border-top: 1px solid var(--lght-brdr-clr);
  width: 90%;
  margin-left: auto;
  margin-right: auto;
}

.responsive-menu div {
  text-align: center;
  padding-top: 3px;
  padding-bottom: 3px;
}

.responsive-menu div:hover {
  color: var(--hvr-font-clr);
  background-color: var(--vlght-bkgrd-clr);
  cursor: pointer;
}

.responsive-menu div:active {
  color: var(--actv-font-clr);
}

.column-title {
  display: grid;
  justify-content: center;
  align-content: center;
  text-align: center;
  line-height: 1.1;
  font-size: var(--font-xlrg);
  font-weight: var(--bld-font-wght);
}

.responsive-columns {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(165px, 1fr));
  grid-template-rows: min-content;
  gap: 30px;
  padding-bottom: 10px;
}

.calendar-columns {
  justify-content: center;
  gap: 50px;
  grid-template-columns: repeat(auto-fit, minmax(300px, 400px));
  padding-bottom: 50px;
}

.note {
  font-size: var(--font-sm);
  font-style: italic;
  line-height: 1.3;
  padding: 0px 15px;
}

.center-text {
  text-align: center;
}

#menu-calendar {
  display: grid;
}

#menu-chapel {
  display: grid;
}

#menu-visit {
  display: grid;
}

#menu-support {
  display: grid;
}

.visit-address {
  display: grid;
  grid-column: span 2;
  gap: 20px;
  color: var(--blk-font-clr);
  font-size: var(--font-reg);
  font-weight: var(--nrml-font-wght);
  align-content: start;
  padding-top: 20px;
}

.address-title {
  font-size: var(--font-mdm);
  font-weight: var(--bld-font-wght);
}

.address-body {
  padding: 5px 20px 0px 20px;
  text-wrap: balance;
}

.visit-map {
  display: grid;
  grid-column: span 3;
  border: 1px solid var(--drk-brdr-clr);
  color: var(--blk-font-clr);
  font-size: var(--font-reg);
  min-height: 500px;
  max-height: 600px;
  border: 1px solid var(--drk-brdr-clr);
  box-shadow: 5px 5px 5px var(--drk-brdr-clr);
}

.chapel-map {
  max-width: 100%;
  min-height: 500px;
  max-height: 600px;
  border: 1px solid var(--drk-brdr-clr);
  box-shadow: 5px 5px 5px var(--drk-brdr-clr);
}

.narrow-column {
  display: grid;
  grid-column: span 1;
  gap: 20px;
  align-content: start;
  justify-content: center;
}

.medium-column {
  display: grid;
  grid-column: span 2;
  gap: 20px;
  align-content: start;
  justify-content: center;
}

.wide-column {
  display: grid;
  grid-column: span 3;
  gap: 20px;
  align-content: start;
  justify-content: center;
}

.extra-wide-column {
  display: grid;
  grid-column: span 4;
  gap: 20px;
  align-content: start;
  justify-content: center;
}

.chapel-image {
  max-width: 100%;
  min-height: 300px;
  max-height: calc(100vh - 380px);
  max-height: calc(100dvh - 380px);
  border: 1px solid var(--drk-brdr-clr);
  border-radius: 10px;
  box-shadow: 5px 5px 5px var(--drk-brdr-clr);
}

.calendar-event {
  display: grid;
  /* grid-column: span 2; */
  gap: 20px;
  align-content: start;
  color: var(--drk-font-clr);
  line-height: 1.2;
  border: 1px solid var(--lght-brdr-clr);
  border-radius: 10px;
  padding: 20px;
}

.calendar-event:hover {
  color: var(--blk-font-clr);
  border: 1px solid var(--drk-brdr-clr);
  box-shadow: 5px 5px 5px var(--drk-brdr-clr);
}

.event-title {
  text-align: center;
  font-size: var(--font-xlrg);
  font-weight: var(--bld-font-wght);
  text-wrap: balance;
  padding-bottom: 15px;
  border-bottom: 1px solid var(--lght-brdr-clr);
}

.detail-download {
  text-align: center;
  font-size: var(--font-mdm);
}

.detail-download span {
  font-size: var(--font-mdm);
  vertical-align: middle;
}

a {
  text-decoration: none;
  cursor: pointer;
}

a:link {
  color: var(--blk-font-clr);
}

a:hover {
  color: var(--hvr-font-clr);
}

.map-tip {
  text-align: center;
}

.confirm-body {
  grid-template-rows: min-content calc(100vh - 177px) min-content;
  grid-template-rows: min-content calc(100dvh - 177px) min-content;
}

.confirm-main {
  color: var(--drk-font-clr);
  font-size: 2rem;
  justify-content: center;
  align-content: center;
  text-align: center;
  gap: 10px;
}

.confirm-text {
  font-size: 1.2rem;
}

.confirm-header {
  border-bottom: 1px solid var(--lght-brdr-clr);
  width: 90%;
  justify-self: center;
  padding-bottom: 10px;
}
